Уголок новичка
   294

Помогите с ZoneMinder-ом

Доброго времени суток всем!
Помогите пожалуйста с установкой zoneminder-а Проблема в том, что у этой программы зависимость (насколько я понял) от php56 + от php-mcrypt.
апачи+мария+пхп72+пхпадмин я установил согласно статей/howto на форумах и вики по manjaro — с этим нет проблем, все работает хорошо, из репозитариев все работает прекрасно. Проблема выяснилась следующая — в пхп7.2 php-mcrypt сократили и перенесли в sodium библиотеку. а zoneminder ругается на отсутствие php-mcrypt и «передает привет»
Что делать? Может я вообще ни туда «копаю»? или может есть софт аналогичный zoneminder-у

Всем заранее благодарен за ответы!

3 комментария

avatar
в ауре есть такие версии php-mcrypt
<code>6 aur/php53-mcrypt 5.3.29-8 (10) (0,03)
    mcrypt module for PHP
7 aur/php55-mcrypt 5.5.38-4 (3) (0,02)
    mcrypt module for PHP
8 aur/php56-mcrypt 5.6.33-1 (45) (0,06)
    mcrypt module for PHP
9 aur/php70-mcrypt 7.0.26-1 (Out of Date) (5) (1,53)</code>
выберете самое подходящее и измените в pkgbuild вместо php-mcrypt, например, php56-mcrypt, должно установиться.

pkgbuild

license=( GPL )
depends=(
mariadb perl-dbd-mysql perl-dbi
apache php php-apache php-gd php56-mcrypt perl-php-serialization
perl-libwww perl-net-sftp-foreign
ffmpeg vlc perl-sys-mmap
gnutls polkit
perl-expect perl-archive-zip perl-date-manip
perl-mime-lite perl-mime-tools
)
makedepends=(
cmake netpbm git
..........
?
Сегодня я побил свой рекорд по количеству прожитых дней.
0
avatar
Всем, ответившим спасибо! Так в сети ничего и не нашел путного — на официальном сайте — говорят — «да, есть проблема». Вот появилось время разобраться — оказалось все «проще» откат на php 7.1 — есть подозрения, что 7.2 надо удалять полностью. Ставил zoneminder с aur-a и отттуда же (по зависимостям) тянулось и php7.1
Также арч-вики помогает очень существенно.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.